from typing import Annotated

from sqlalchemy.ext.asyncio import AsyncSession

from faststream import Depends

from src.core.workers.schemas import ResponseFromGeminiSchema
from src.core.database.connect import db_helper
from src.core.rabbitmq.connect import success_gemini_subscriber
from src.core.workers import crud as workers_crud


@success_gemini_subscriber
async def create_success_record(
        message: ResponseFromGeminiSchema,
        session: Annotated[AsyncSession, Depends(db_helper.get_async_session)],
):
    await workers_crud.bulk_create_success_reasons(
        success_schema=message,
        session=session,
    )



